#
# Cookbook Name:: oneview
# Recipe:: network_test
#
# Copyright (C) 2016 Hewlett Packard Enterprise
#
# All rights reserved - Do Not Redistribute
#

c = {
  url: ENV['ONEVIEWSDK_URL'],
  user: ENV['ONEVIEWSDK_USER'],
  password: ENV['ONEVIEWSDK_PASSWORD'],
}

# chef_gem 'oneview-sdk' do
  # action :remove
# end

oneview_resource 'SP2' do
  client c
  type :ServerProfile
  data(
    serverHardwareTypeUri: '/rest/server-hardware-types/17EC0193-BF15-4785-8593-0E675A28AF1F',
    serverHardwareUri: '/rest/server-hardware/37333036-3831-4753-4831-30305838524E',
    enclosureGroupUri: '/rest/enclosure-groups/239b1cc6-30bc-4872-aeda-81bea16c4491',
    # enclosureUri: nil,
    # enclosureBay: nil,
    description: 'Server Profile created with Chef',
    boot: {
      manageBoot: true,
      order: %w(PXE CD Floppy USB HardDisk)
    }
  )
  # action :delete # Default action is :create
  # action :nothing
end

oneview_server_hardware 'power on SP2 hardware' do
  client c
  data(
    uri: '/rest/server-hardware/37333036-3831-4753-4831-30305838524E'
  )
  power_state :On
  action :set_power_state
end
