#
# Cookbook Name:: oneview
# Recipe:: network_test
#
# Copyright (C) 2016 Hewlett Packard Enterprise
#
# All rights reserved - Do Not Redistribute
#

my_client = {
  url: ENV['ONEVIEWSDK_URL'],
  user: ENV['ONEVIEWSDK_USER'],
  password: ENV['ONEVIEWSDK_PASSWORD'],
}


oneview_rack 'Rack_1' do
  client my_client
  data(
    depth:   1100,      # mm
    height:  2500,      # mm
    width:   800,       # mm
    uHeight: 40,
    thermalLimit: 2000, # watts
    serialNumber: 'FakeSN123456',
    model: 'HPE Standard Series Rack'
  )
end

oneview_rack 'Rack_1' do
  client my_client
  mount_options(
    type: 'UnmanagedDevice',
    name: 'UnmanagedILO_1',
    topUSlot: 20,
    uHeight: 2 # Optional
  )
  action :add_to_rack
end

oneview_rack 'Rack_1' do
  client my_client
  mount_options(
    type: 'UnmanagedDevice',
    name: 'UnmanagedILO_2',
    topUSlot: 22,
    uHeight: 2 # Optional
  )
  action :add_to_rack
end

oneview_rack 'Rack_1' do
  client my_client
  mount_options(
    name: 'UnmanagedILO_1',
    type: 'UnmanagedDevice'
  )
  action :remove_from_rack
end

oneview_rack 'Rack_1' do
  client my_client
  action :remove
end
