#
# Cookbook Name:: oneview
# Recipe:: test
#
# Copyright (C) 2016 Hewlett Packard Enterprise
#
# All rights reserved - Do Not Redistribute
#


c = {
  url: ENV['ONEVIEWSDK_URL'],
  user: 'Administrator',
  password: ENV['ONEVIEWSDK_PASSWORD'],
}
# require 'oneview-sdk'
# c = OneviewSDK::Client.new(
  # url: ENV['ONEVIEWSDK_URL'],
  # user: 'Administrator',
  # password: ENV['ONEVIEWSDK_PASSWORD'],
# )

oneview_ethernet_network 'Chef-Eth-Net-2' do
  client c
  data(
    vlanId: 51,
    purpose: 'General',
    smartLink: true,
    privateNetwork: false
  )
  action :delete
end

=begin
# Enclosure Group:
# Notes:
#  - Since the script is at a seperate endpoint, we can't set that here
oneview_resource 'Enclosure Group 1' do
  type :EnclosureGroup
  data(
    stackingMode: 'Enclosure',
    interconnectBayMappingCount: 8
  )
  client c
  action :create_if_missing
  save_resource_info true
end


# Enclosure:
# Notes:
#  - 
oneview_resource 'Enclosure-1' do
  type :Enclosure
  data lazy {{
    hostname: '172.18.1.11',
    username: 'dcs',
    password: 'dcs',
    licensingIntent: 'OneView',
    enclosureGroupUri: node['oneview']['resources']['Enclosure Group 1']['uri']
  }}
  client c
  # action :create
end
=end

# Ethernet Network:
# Notes:
#  - 
# oneview_resource 'Chef-Eth-Net' do
  # type :EthernetNetwork
  # data(
    # vlanId: 50,
    # purpose: 'General',
    # smartLink: true,
    # privateNetwork: false
  # )
  # client c
  # action :delete
# end

=begin
# FC Network:
# Notes:
#  - Fails when action is :create and connectionTemplateUri is set to nil. Because OV sets it.
oneview_resource 'Chef-FC-Net' do
  type :FCNetwork
  data(
    autoLoginRedistribution: true,
    fabricType: 'FabricAttach'
  )
  client c
end

# FCoE Network:
# Notes:
#  - Fails when action is :create and connectionTemplateUri is set to nil. Because OV sets it.
oneview_resource 'Chef-FCoE-Net' do
  type :FCoENetwork
  data(
    type: 'fcoe-network',
    vlanId: 300
  )
  client c
end


# Logical Interconnect Group:
# Notes:
#  - 
oneview_resource 'Chef-LIG' do
  type :LogicalInterconnectGroup
  data(
    enclosureType: 'C7000'
  )
  client c
end


# Server Hardware:
# Notes:
#  - Requires name to be set to the hostname/IP in order to work.
#  - Updates won't work because the resource doesn't support it. Use :create_if_missing action
oneview_resource '172.18.6.11' do
  type :ServerHardware
  data(
    hostname: '172.18.6.11',
    username: 'dcs',
    password: 'dcs',
    licensingIntent: 'OneView'
  )
  client c
  action :create_if_missing
end


# Server Profile:
# Notes:
#  - 
hw_type = OneviewSDK::ServerHardwareType.find_by(c, name: 'BL460c Gen8 1').first
oneview_resource 'Chef-Server-Profile' do
  type :ServerProfile
  data lazy {{
    serverHardwareTypeUri: hw_type['uri'],
    enclosureGroupUri: node['oneview']['resources']['Enclosure Group 1']['uri'],
    enclosureUri: node['oneview']['resources']['Enclosure-1']['uri'],
    enclosureBay: 3,
    description: 'Created by Chef'
  }}
  client c
  # action :delete
end


# Server Profile Template:
# Notes:
#  - 
oneview_resource 'Chef-Template' do
  type :ServerProfileTemplate
  data lazy {{
    serverHardwareTypeUri: hw_type['uri'],
    enclosureGroupUri: node['oneview']['resources']['Enclosure Group 1']['uri'],
    description: 'Created by Chef'
  }}
  client c
end
=end
